Bug 102909 - using startx for a 2nd user, no cursor on display 1 terminal
using startx for a 2nd user, no cursor on display 1 terminal
Product: Red Hat Linux
Classification: Retired
Component: gnome-terminal (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-08-22 11:28 EDT by Glenn Simpson
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-13 23:51:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Glenn Simpson 2003-08-22 11:28:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
Log in as a 2nd user, using Gnome on display 1.
The screen at CTL-ALT-F8 is activated.
Open a text terminal (start -> System Tools -> terminal
The window opens but without a text cursor.
It is impossible to do anything within the dialog window suggesting
the focus has not been set to the this window.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Arbitrarily log in as root to the Gnome GUI
2.switch to a text terminal ( CTL-ALT-F2 )
3.log in as a normal user (ex: joe with password)
4.when logged in, issue "startx -- :1" to put this user in GUI mode
  on display screen at CNT-ALT-F8
5.Open a text terminal on the GUI display
  (start -> System Tools -> Terminal)
6.Note the text terminal opens. But the dialog box does not have a
  cursor. You can not make any use of the text terminal(s) on
  the display at CNT-ALT-F8

Actual Results:  For the above condition, you can not get a cursor, or make any
on the text terminal dialog box at CNT-ALT-F8

Expected Results:  When the terminal is opened, the cursor position should allow
normal keyboard actions.

Additional info:

I have used this mode on RH 7.0 through RH 8, and the mode has always been
available to my Gnome operations.
Comment 1 Havoc Pennington 2003-10-04 01:39:28 EDT
Presumably an X bug... or maybe you don't have a window manager in your startx,
or something?
Comment 2 Mike A. Harris 2003-10-06 11:09:54 EDT
I'm not quite sure I understand how exactly this is considered an XFree86 bug.

Sounds to me much more like a bug in the terminal application you are using.
You haven't mentioned which terminal you're using, but presumeably that icon
starts up gnome-terminal.

Reassigning to gnome-terminal component for analysis.
Comment 3 Glenn Simpson 2003-10-29 15:22:29 EST
This bug disappeared when I rebuilt the system.  The original cause is unknown.
I could use startx -- :1 but the problem WAS persistent.

I recommend you close this bug as it no longer can be reproduced.

Note You need to log in before you can comment on or make changes to this bug.